> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeEmployeeBenefits

> 
The `removeEmployeeBenefits` API removes an employee's enrollment from specific benefit plans.

### What it does:

- Removes employee enrollment from a specified company benefit plan

### Supported Benefits:

- Medical
- Dental
- Vision

### Note:

- Can only remove an employee from a benefit they have already been added to



## OpenAPI

````yaml post /benefits/removeEmployeeBenefits
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /benefits/removeEmployeeBenefits:
    post:
      tags: []
      summary: removeEmployeeBenefits
      description: >-

        The `removeEmployeeBenefits` API removes an employee's enrollment from
        specific benefit plans.


        ### What it does:


        - Removes employee enrollment from a specified company benefit plan


        ### Supported Benefits:


        - Medical

        - Dental

        - Vision


        ### Note:


        - Can only remove an employee from a benefit they have already been
        added to
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addUserBankAccount
                  default: addUserBankAccount
                  example: addUserBankAccount
                benefitEmployeeElection:
                  type: object
                  properties:
                    userId:
                      type: string
                      format: uuid
                    benefitType:
                      type: string
                      maxLength: 40
                    effectiveMonth:
                      type: string
                      maxLength: 25
                  required:
                    - userId
                    - benefitType
                    - effectiveMonth
              required:
                - method
                - benefitEmployeeElection
            example:
              method: removeEmployeeBenefits
              benefitEmployeeElection:
                userId: 7B0AAA79-FDC5-4630-A10E-F9A87A35C780
                benefitType: Medical
                effectiveMonth: December 2024
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  Benefits:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                      benefitType:
                        type: string
                    required:
                      - status
                      - benefitType
                    x--orders:
                      - CompanyFundingSourceEntityID
                      - Status
                      - Message
                required:
                  - Benefits
                x--orders:
                  - CompanyFundingSourceEntity
              examples:
                '1':
                  summary: Success
                  value:
                    Benefits:
                      status: Ready
                      message: The Benefits for Medical has been removed successfully.
                      benefitType: Medical
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Invalid userId
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````